[TASK] Script to CGL check latest core commit 33/48833/11
authorChristian Kuhn <lolli@schwarzbu.ch>
Wed, 6 Jul 2016 18:47:35 +0000 (20:47 +0200)
committerWouter Wolters <typo3@wouterwolters.nl>
Wed, 6 Jul 2016 19:56:47 +0000 (21:56 +0200)
A script is added to CGL check latest core commit with
php-cs-fixer. This can be used by commiters before pushing
patches to gerrit to verify CGL compatibility. The bamboo
build chain will later use the same script on each pre-merge
run.

Change-Id: I40a7f4809c97f5865ccb8dc05dd9cc466be0638a
Resolves: #76965
Releases: master
Reviewed-on: https://review.typo3.org/48833
Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>
Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>
Tested-by: Wouter Wolters <typo3@wouterwolters.nl>
Build/.php_cs
typo3/sysext/core/Build/Scripts/cglFixMyCommit.sh [new file with mode: 0755]
typo3/sysext/core/Build/Scripts/duplicateExceptionCodeCheck.sh
typo3/sysext/core/Build/Scripts/splitFunctionalTests.sh
typo3/sysext/core/Build/Scripts/xlfcheck.sh

index b8602ce..45040e0 100644 (file)
@@ -55,6 +55,7 @@ $finder = Symfony\CS\Finder\DefaultFinder::create()
 return Symfony\CS\Config\Config::create()
     ->level(Symfony\CS\FixerInterface::PSR2_LEVEL)
     ->fixers([
+        // If changes to the fixers are done, please sync them with typo3/sysext/core/Build/Scripts/cglFixMyCommit.sh
         'remove_leading_slash_use',
         'single_array_no_trailing_comma',
         'spaces_before_semicolon',
@@ -69,4 +70,4 @@ return Symfony\CS\Config\Config::create()
         'phpdoc_scalar',
         'no_empty_lines_after_phpdocs'
     ])
-    ->finder($finder);
\ No newline at end of file
+    ->finder($finder);
diff --git a/typo3/sysext/core/Build/Scripts/cglFixMyCommit.sh b/typo3/sysext/core/Build/Scripts/cglFixMyCommit.sh
new file mode 100755 (executable)
index 0000000..d35d612
--- /dev/null
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+#########################
+#
+# CGL check latest core commit.
+#
+# It expects to be run from the core root.
+#
+# To auto-fix single files, use the php-cs-fixer command directly
+# substitute $FILE with a filename
+#
+##########################
+
+COUNTER=0
+
+for FILE in $(git diff-tree --no-commit-id --name-only -r HEAD | grep '.php$'); do
+    if [ -e $FILE ]
+    then
+        # If changes to the fixers are done, please sync them with Build/.php_cs from core root directory
+        ./bin/php-cs-fixer fix $FILE \
+            -v \
+            --level=psr2 \
+            --fixers=remove_leading_slash_use,single_array_no_trailing_comma,spaces_before_semicolon,unused_use,concat_with_spaces,whitespacy_lines,ordered_use,single_quote,duplicate_semicolon,extra_empty_lines,phpdoc_no_package,phpdoc_scalar,no_empty_lines_after_phpdocs
+        if [ "$?" = "1" ]
+        then
+            COUNTER=$((COUNTER+1))
+        fi
+    fi
+done
+
+if [ ${COUNTER} -gt 0 ] ; then
+    echo "$COUNTER number of files are not CGL clean. Check $0 to find out what is going wrong."
+    exit 1
+fi
+
+exit 0
index 3d6f2df..a6beaaf 100755 (executable)
@@ -2,21 +2,14 @@
 
 #########################
 #
-# Find duplicate exception timestamps and list them
-#
-# Use within TYPO3 CMS source
-#
+# Find duplicate exception timestamps and list them.
+# It expects to be run from the core root.
 #
 # The script searches for duplicate timestamps with
 # two exceptions:
 # 1. timestamps defined by the "IGNORE" array
 # 2. timestamps within Tests directories
 #
-#
-# @author  Christoph Kratz <ckr@rtp.ch>
-# @author  Christian Kuhn <lolli@schwarzbu.ch>
-# @date 2016-04-18
-#
 ##########################
 
 cd typo3/
index 7c5ea87..0e6782b 100755 (executable)
@@ -1,7 +1,9 @@
 #!/bin/bash
 
+#########################
+#
 # This file is typically executed by travis and / or bamboo.
-# It expects to be run from the core document root.
+# It expects to be run from the core root.
 #
 # ./typo3/sysext/core/Build/Scripts/splitFunctionalTests.sh <numberOfConfigs>
 #
@@ -10,7 +12,8 @@
 # number of single functional tests.
 #
 # typo3/sysext/core/Build/FunctionalTests-Job-<counter>.xml
-
+#
+#########################
 
 numberOfFunctionalTestJobs=${1}
 numberOfFunctionalTestJobsMinusOne=$(( numberOfFunctionalTestJobs - 1 ))
index d7765d8..00c60a7 100755 (executable)
@@ -6,10 +6,7 @@
 # t3:id numbers in XLF language files
 # and check their uniqueness.
 #
-# Use from within TYPO3 CMS source
-#
-# @author Markus Klein <klein.t3@reelworx.at>
-# @date 2014-11-14
+# It expects to be run from the core root.
 #
 ##########################